/***************************** FILE HEADER *********************************/
/*!
*  \file      comboboxdelegate.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

#ifndef COMBOBOXDELEGATE_H
#define COMBOBOXDELEGATE_H

#include <QStyledItemDelegate>
#include <QComboBox>
#include <QDebug>



class ComboBoxDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    ComboBoxDelegate(QObject *parent = 0);

    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &QStyleOptionViewItemOption,
                          const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;
    void setEditorData(QWidget *editor, const QModelIndex &index) const Q_DECL_OVERRIDE;
    void setModelData(QWidget *QWidgetEditor, QAbstractItemModel *QAbstractItemModelModel,
                      const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;
    void updateEditorGeometry(QWidget *QWidgetEditor,
        const QStyleOptionViewItem &QStyleOptionViewItemOption, const QModelIndex &QStyleOptionViewItemIndex) const Q_DECL_OVERRIDE;
    void addItem(QString);

private:


signals:

    void currentValueofCombo(QString QStringValueText);

public slots:
    void onCurrentIndexChanged(QString QStringValueText);
};

#endif // COMBOBOXDELEGATE_H


