/***************************** FILE HEADER *********************************/
/*!
*  \file      lineeditdelegate.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

#ifndef LINEEDITDELEGATE_H
#define LINEEDITDELEGATE_H
#include <QStyledItemDelegate>
#include <QItemDelegate>
#include <QLineEdit>


class LineEditDelegate :public QStyledItemDelegate
{
    Q_OBJECT

public:
    LineEditDelegate(QObject *parent = 0);

    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &QStyleOptionViewItemOption,
                          const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;
    void setEditorData(QWidget *QWidgetEditor, const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;
    void setModelData(QWidget *QWidgetEditor, QAbstractItemModel *QAbstractItemModelModel,
                      const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;
    void updateEditorGeometry(QWidget *QWidgetEditor,
        const QStyleOptionViewItem &QStyleOptionViewItemOption, const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;

public slots:
    void valueChanged(QString QStringCurrentValue);

signals:
    void currentValueChanged(QString QStringCurrentValue);

};

#endif // LINEEDITDELEGATE_H
