/***************************** FILE HEADER *********************************/
/*!
*  \file      spinboxdelegate.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

#ifndef SPINBOXDELEGATE_H
#define SPINBOXDELEGATE_H

#include <QStyledItemDelegate>
#include <QSpinBox>

class SpinBoxDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    SpinBoxDelegate(QObject *parent = 0);

    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const Q_DECL_OVERRIDE;
    void setEditorData(QWidget *QWidgetEditor, const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;
    void setModelData(QWidget *QWidgetEditor, QAbstractItemModel *QAbstractItemModelModel,
                      const QModelIndex &QModelIndexIndex) const Q_DECL_OVERRIDE;
    void updateEditorGeometry(QWidget *QWidgetEditor,
        const QStyleOptionViewItem &QStyleOptionViewItemOption, const QModelIndex &index) const Q_DECL_OVERRIDE;

public slots:
    void valueChanged(QString);

signals:
    void currentValueChanged(QString);

};

#endif // SPINBOXDELEGATE_H
